CVE-2009-0605

NameCVE-2009-0605
DescriptionStack consumption vulnerability in the do_page_fault function in arch/x86/mm/fault.c in the Linux kernel before 2.6.28.5 allows local users to cause a denial of service (memory corruption) or possibly gain privileges via unspecified vectors that trigger page faults on a machine that has a registered Kprobes probe.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub advisories/code/issues, web search, more)

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
linux-2.6source(unstable)(not affected)
linux-2.6.24source(unstable)(not affected)

Notes

- linux-2.6 <not-affected> (CONFIG_KPROBES is not enabled)
- linux-2.6.24 <not-affected> (CONFIG_KPROBES is not enabled)

Search for package or bug name: Reporting problems